diff --git a/make.sh b/make.sh
index 4dd068e4b..c06b4ec38 100755
--- a/make.sh
+++ b/make.sh
@@ -437,7 +437,7 @@ prepareenv() {
 	fi
 
 	# Trap on emergency exit
-	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGKILL SIGSTOP SIGQUIT
+	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGQUIT
 
 	# Checking if running as root user
 	if [ $(id -u) -ne 0 ]; then
